# Turkish

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class Turkish : IetfLanguageCode (source)

#### Inheritors

CY
TR
Companion

## Types

Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.Turkish
CY
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object CY : IetfLanguageCode.Turkish
TR
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object TR : IetfLanguageCode.Turkish

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String